Linksfield Developer
OverviewCube APIsTopup APIs
Old version
OverviewCube APIsTopup APIs
Old version
  1. Payment
  • Mall Global Specification
  • Mall Business Flow
  • Mall API Signature Code Examples
  • APP Integration with Stripe SDK — Example Notes
  • Vshop
    • Card Login Verification
      POST
    • Get Available Data Plan Product List
      POST
    • Create User Order
      POST
    • Query Active and Pending Orders
      POST
    • Get Active Auto-Renewal
      POST
    • Cancel Auto-Renewal
      POST
    • Create User Order (Third-Party Payment)
      POST
  • Payment
    • Get Stripe Single Payment Authorization
      POST
    • Get Stripe Subscription Payment Authorization
      POST
    • Create Stripe Subscription / Auto-Renewal
      POST
    • Query Payment Result
      POST
    • Confirm Payment Result
      POST
  • Notification
    • Recharge Success Message Push
      POST
  • Bundle-groups
    • Add SIM Cards to a Specified Group
      POST
    • Remove SIM Cards from a Specified Group
      DELETE
    • Query SIM Card Numbers in a Specified Group
      GET
    • Query All Groups and Basic Data Plan Information
      GET
    • Retrieve Asynchronous Operation Result
      GET
  • Order
    • Query Order Details
      GET
  1. Payment

Create Stripe Subscription / Auto-Renewal

Demo UAT
Demo UAT
POST
/stripeSubDirectly

Request

Header Params

Body Params application/json

Example
{
    "email": "421516116@qq.com",
    "partnerCode": "P000818",
    "payAmount": "19.99",
    "payCurrency": "usd",
    "payId": "P0002702020110214193780630",
    "plan_id": "string",
    "pm_id": "pm_1GnMUDLnVNBddzslXw7xuoe6",
    "sign": "b2a9e697bdff66049803d62ffeffccaf",
    "tradeTime": "20181031256548",
    "tradeType": "payPalPay",
    "version": "3.0"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/stripeSubDirectly' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "421516116@qq.com",
    "partnerCode": "P000818",
    "payAmount": "19.99",
    "payCurrency": "usd",
    "payId": "P0002702020110214193780630",
    "plan_id": "string",
    "pm_id": "pm_1GnMUDLnVNBddzslXw7xuoe6",
    "sign": "b2a9e697bdff66049803d62ffeffccaf",
    "tradeTime": "20181031256548",
    "tradeType": "payPalPay",
    "version": "3.0"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "customer_id": "string",
    "pay_method": "string",
    "product_id": "string",
    "status": "string",
    "sub_id": "string"
}
Modified at 2026-06-25 03:11:56
Previous
Get Stripe Subscription Payment Authorization
Next
Query Payment Result
Built with